import 'reflect-metadata';
import { Path } from '@kuoki/environment';
export declare const ENVIRONMENT_PREFIX_METADATA_KEY: symbol;
/**
 * Sets a base path for the class used by the other decorators.
 * @param path The EnvironmentState path to resolve.
 * @returns A class decorator to set a base path for the class used by the other decorators.
 */
export declare function EnvironmentPrefix(path: Path): ClassDecorator;
