import { Provider } from '@angular/core';
/**
 * Creates a suitable Provider object using a config value and a default value.
 * @param value The provider values.
 * @returns A suitable Provider.
 */
export declare function configProviderFactory(value: {
    provide: unknown;
    defaultValue: unknown;
    configValue?: unknown;
    deps?: unknown[];
    multi?: boolean;
}): Provider;
